import { Context } from '../context';
import { Analyzer } from './base';
import { Cr } from '../models/cr';
import { KubernetesClient } from '../kubernetes-client';
export declare class CrsAnalyzer extends Analyzer {
    drifted: Cr[];
    failed: Cr[];
    constructor(context: Context, cli: KubernetesClient);
    analyze(): Promise<void>;
    listCrs(): Promise<Cr[]>;
    filterByFailed(workspaces: Cr[]): Cr[];
    filterByDrifted(workspaces: Cr[]): Cr[];
}
